# GoogleStartVmInstancesParameters Object

## Description

Parameters for the Google Start VM Instances action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### instanceNames

List of the names of the VM instance that are to be started.

Type: Array of `string`

Required: No

### instanceNameComparisons

List of comparisons to use when identifying VM instances by their name. Cannot be specified if `instanceNames` is specified.

Type: List of [GoogleInstanceNameComparison](/data-types/instancenamecomparison-object.md) object.

Required: No

### regionNames

Regions to use with the action. Omit or specify `null` to include "all regions".

Type: Array of `string`

Required: No

### labelComparisons

List of label comparisons to use when matching VM instances. Cannot be specified if `instanceNames` is specified.

Type: List of [GoogleLabelComparison](/data-types/resourcetagcomparison-object.md) objects.

Required: No

### stopTimeInSeconds

Time (in seconds) after which the VM instances will be stopped.

Type: `integer`

Required: No

## Matching Instances

The following fields are used to match VM Instances:

* instanceNames
* instanceNameComparisons
* labelComparisons

Omitting all of the above properties is equivalent to "All Instances".

Specifying only `instanceNames` is equivalent to "By Instance Name".

Specifying one or more of the `*Comparisons` properties is equivalent to "By Comparison Filter".

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "instanceNames": [
        "instance1",
        "instance2"
    ],

    "stopTimeInSeconds": 43200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/googlestartvminstancesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
